org.apache.ignite.ml.inference.util

## Class DirectorySerializer

- java.lang.Object
- - org.apache.ignite.ml.inference.util.DirectorySerializer

-     public class DirectorySerializer
      extends Object

  Utils class that helps to serialize directory content as a has map and then deserialize it.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectorySerializer()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `deleteDirectory(Path path)` Removes the specified directory.
    `static void` | `deserialize(Path path, byte[] data)` Deserializes directory content.
    `static byte[]` | `serialize(Path path)` Serializes directory content.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectorySerializer

          public DirectorySerializer()

  - ### Method Detail

    - #### serialize

          public static byte[] serialize(Path path)
                                  throws IOException

      Serializes directory content.
      Parameters:
        `path` - Path to the directory.
      Returns:
        Serialized directory content.
      Throws:
        `IOException` - If directory cannot be serialized.

    - #### deserialize

          public static void deserialize(Path path,
                                         byte[] data)
                                  throws IOException,
                                         ClassNotFoundException

      Deserializes directory content.
      Parameters:
        `path` - Path to the directory.
        `data` - Serialized content.
      Throws:
        `IOException` - If the directory cannot be deserialized.
        `ClassNotFoundException` - If the directory cannot be deserialized.

    - #### deleteDirectory

          public static void deleteDirectory(Path path)

      Removes the specified directory.
      Parameters:
        `path` - Path to the directory.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023